org.apache.lucene.demo

## Class HTMLDocument

- java.lang.Object
- - org.apache.lucene.demo.HTMLDocument

-     public class HTMLDocument
      extends java.lang.Object

  A utility for making Lucene Documents for HTML documents.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.lucene.document.Document` | `Document(java.io.File f)`
    `static java.lang.String` | `uid(java.io.File f)`
    `static java.lang.String` | `uid2url(java.lang.String uid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### uid

          public static java.lang.String uid(java.io.File f)

    - #### uid2url

          public static java.lang.String uid2url(java.lang.String uid)

    - #### Document

          public static org.apache.lucene.document.Document Document(java.io.File f)
                                                              throws java.io.IOException,
                                                                     java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.